Name:          glassfish-websocket-api
Version:       1.1
Release:       1%{?dist}
Summary:       JSR 356: Java API for WebSocket
License:       CDDL or GPLv2 with exceptions
URL:           https://java.net/projects/websocket-spec/
# git://java.net/websocket-spec~code
Source0:       https://github.com/pavelbucek/websocket-spec/archive/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(net.java:jvnet-parent:pom:)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires: mvn(org.glassfish.build:spec-version-maven-plugin)

BuildArch:     noarch

%description
Java API for WebSocket JSR will define a standard API for
creating web socket applications.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n websocket-spec-%{version}

find  -name "*.class"  -print -delete
find  -name "*.jar"  -print -delete
cd api

%pom_remove_plugin -r :maven-source-plugin
%pom_remove_plugin -r :maven-javadoc-plugin

%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-dependency-plugin server
%pom_remove_plugin :maven-jar-plugin server

%pom_xpath_set "pom:packaging" bundle client
%pom_xpath_inject "pom:project" "<version>%{version}</version>" client
%pom_add_plugin org.apache.felix:maven-bundle-plugin:2.3.7 client '
<extensions>true</extensions>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

chmod 644 etc/config/copyright.txt

sed -i '/check-module/d' server/pom.xml

%mvn_file :javax.websocket-api %{name}
%mvn_file :javax.websocket-client-api glassfish-websocket-client-api

%build

cd api
%mvn_build

%install
cd api
%mvn_install

%files -f api/.mfiles
%doc websocket-1.1-changes.txt
%license api/etc/config/copyright.txt api/src/main/javadoc/doc-files/speclicense.html

%files javadoc -f api/.mfiles-javadoc
%license api/etc/config/copyright.txt api/src/main/javadoc/doc-files/speclicense.html

%changelog
* Sun Aug 30 2015 gil cattaneo <puntogil@libero.it> 1.1-1
- update to 1.1

* Fri Aug 09 2013 gil cattaneo <puntogil@libero.it> 1.0-1
- initial rpm
